# pydicom.valuerep.TM

class pydicom.valuerep.TM(*args: Any, **kwargs: Any)

  Store value for an element with VR TM as `datetime.time`.

  Note that the `datetime.time` base class is immutable.

  __init__(*args: Any, **kwargs: Any) → None

  Methods

  `__init__`(*args, **kwargs) |
  `dst`() | Return self.tzinfo.dst(self).
  `fromisoformat`(object, /) | string -> time from a string in ISO 8601 format
  `isoformat` | Return string in ISO 8601 format, [HH[:MM[:SS[.mmm[uuu]]]]][+HH:MM].
  `replace` | Return time with new specified fields.
  `strftime` | format -> strftime() style string.
  `strptime` | string, format -> new time parsed from a string (like time.strptime()).
  `tzname`() | Return self.tzinfo.tzname(self).
  `utcoffset`() | Return self.tzinfo.utcoffset(self).

  Attributes

  `fold` |
  `hour` |
  `max` |
  `microsecond` |
  `min` |
  `minute` |
  `resolution` |
  `second` |
  `tzinfo` |
  `original_string` |

  dst()

    Return self.tzinfo.dst(self).

  classmethod fromisoformat(object, /)

    string -> time from a string in ISO 8601 format

  isoformat()

    Return string in ISO 8601 format, [HH[:MM[:SS[.mmm[uuu]]]]][+HH:MM].

    The optional argument timespec specifies the number of additional terms of the time to include. Valid options are ‘auto’, ‘hours’, ‘minutes’, ‘seconds’, ‘milliseconds’ and ‘microseconds’.

  replace()

    Return time with new specified fields.

  strftime()

    format -> strftime() style string.

  classmethod strptime()

    string, format -> new time parsed from a string (like time.strptime()).

  tzname()

    Return self.tzinfo.tzname(self).

  utcoffset()

    Return self.tzinfo.utcoffset(self).